
import BasicLayout from "@/layouts/home";

const frameIn = [
    // 默认路由配置
    {
        path: "/",
        redirect: "/login"
    },
    {
        path: "/",
        component: () => BasicLayout,
        meta: { title: "首页" },
        children: []
    },
    {
        path: "/setting",
        name: "setting",
        redirect: {
            name: `/setting-person`
        },
        component: BasicLayout,
        children: [
            {
                name: `setting-person`,
                path: `person`,
                component: () => import("@/pages/setting/list"),
                meta: { title: "个人中心" }
            }
        ]
    }
];

/**
 * 在主框架之外显示
 */

const frameOut = [
    // 登录
    {
        path: "/login",
        name: "login",
        meta: {
            title: "登录"
        },
        component: () => import("@/pages/account/login")
    },
    {
        path: "/redirect",
        name: "redirect",
        component: () => import("@/pages/account/redirect")
    }
];


// 导出需要显示菜单的
export const frameInRoutes = frameIn;

// 重新组织后导出
export default [
    ...frameIn,
    ...frameOut
];