/**
 * 业务配置
 * */
const url = location.host;
const isDev = process.env.NODE_ENV === "development"; // 开发环境
const isHh = url.includes("10.196.131.73"); //是否河海版本
const isCH = url.includes("124.71.12.62"); //是否巢湖版本
const isBeta = url.includes("120.78.198.231"); //是否职站测试
const isPro = url.includes("occupationlab.com"); //是否职站生产
const isTest = url.includes('39.108.250.202'); //是否中台测试服

let bankPath = `${location.origin}/banksystem` // 银行系统地址
let jumpPath = `${location.origin}/judgmentPoint`
let host = `${location.origin}:9000/`
let title = '职站服务端管理系统'

if (isHh) {
    // 河海
    host = "http://10.196.131.73/";
    title = "教师管理端";
} else if (isCH) {
    // 巢湖
    host = "http://124.71.12.62/";
    title = "教师管理端";
} else if (isBeta) {
    // 职站测试
    host = "http://120.78.198.231/";
} else if (isPro) {
    // 职站生产
    bankPath = `http://www.huorantech.cn/banksystem`
    jumpPath = `http://www.huorantech.cn/judgmentPoint/`
} else if (isDev) {
    jumpPath = "http://192.168.31.125:8087/";
    bankPath = `http://192.168.31.125:8093`
    host = "http://39.108.250.202:9000/"; // 中台测试服
    // host = "http://192.168.31.151:9000/"; // 榕
    // host = 'http://192.168.31.137:9000/'; // 赓
}

const Setting = {
    /**
     * 基础配置
     * */
    platformId: 1, // 平台标识，1职站，2数据平台，3中台
    platformType: 0, // 平台端区分：0->教师端 1->学生端 2->无端
    titleSuffix: title, // 网页标题的后缀
    routerMode: "hash", // 路由模式，可选值为 history 或 hash
    showProgressBar: true, // 页面切换时，是否显示模拟的进度条
    apiBaseURL: host, // 接口请求地址
    jumpPath, // 判分点系统前缀
    autoLogoutTime: 3600000, // 长时间未操作，自动退出登录时间
    projectData: "sta_data", // 新增项目跳转判分点数据存储cookie的key
    modalDuration: 3, // 接口请求返回错误时，弹窗的持续时间，单位：秒
    errorModalType: "Message", // 接口请求返回错误时，弹窗的类型，可选值为 Message 或 Notice
    cookiesExpires: 1, // Cookies 默认保存时间，单位：天
    tokenExpires: 1296000000, // token在localStorage的时间(毫秒)
    bankPath,
    isDev,
    isTest,
    isPro,
    /**
     * localStorage里保存的token的key
     */
    tokenKey: "oc_server_token",
    /**
     * localStorage里保存的vuex的key
     */
    storeKey: "oc_server_store",
    /**
     * 默认密码
     */
    initialPassword: "111aaa",
    /**
     * 多语言配置
     * */
    i18n: {
        // 默认语言
        default: "zh",
        // 是否根据用户电脑配置自动设置语言（仅第一次有效）
        auto: false
    },
    /**
     * 布局配置
     * */
    layout: {},
    /**
     * 功能配置
     * */
    // 相同路由，不同参数间进行切换，是否强力更新
    sameRouteForceUpdate: false,
    // 是否使用动态路由(即角色权限,开启了的话就会取后端返回的权限树来显示头部导肮和页面按钮)
    dynamicRoute: true,
    // 文件上传
    upload: {
        apiURL: "http://39.108.250.202:9000/",
        maxSize: 30
    }
};

export default Setting;
